#!/bin/sh
#
# (c) 1997 Retrograde Networking. This software is distributed under the GNU
# public license. 
#
# Do not run this script directly; just create symlinks to it, named the same
# as the directory your pack is in - eg ``ln -s startquake.sh fortress''
# would run quake with the TeamFortress pack when you run ./fortress.
#
# All of the mission packs need to be in some directory; I use addons/. You
# may need to customize the variables to suit your configutarion.
#
# Adding the -qw flag as the second argument tells the script that you want
# to use a QuakeWorld binary.
#
# -Ian Eure <ieure@peninsula.wednet.edu>

binary_dir="bin"
addons_dir="addons"			# Where are the packs at?
default_binary="squake"			# Change this if you use this script to
					# play Xquake, or run a dedicated
					# server. NOTE: You can specify the
					# correct binary on the commandline;
					# eg ``mp1 unixded'' would run a
					# dedicated missionpack 1 server.

if [ $0 = "./startquake.sh" ]; then	# if we were run directly,
  echo "Sorry, try again"		# stop.
else
  if [ $0 = "./quake" ]; then		# if we want normal quake, do it, but
    if [ -z $1 ]; then			# make sure that we run the right
      exec $default_binary		# binary.
    else			
      $binary_dir/$1
    fi
  else
    game_dir="$addons_dir/`echo $0 | cut -d/ -f2`" # We're playing an addon.
    if [ -z $1 ]; then
      exec $binary_dir/$default_binary -game $game_dir	# Ok, run normal Quake.
    else
      if [ $2 = "-qw" ]; then
        $binary_dir/$1 +gamedir $game_dir	# Run QuakeWorld.
      else
        $binary_dir/$1 -game $game_dir		# Run user-spec'd binary.
      fi
    fi
  fi
fi
